[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TCustomBucketList.Clear

Clear the list

## Declaration

Source position: contnrs.pp line 526

`public procedure TCustomBucketList.Clear;`

## Description

Clear clears the list. The items and their data themselves are not disposed of, this must be done separately. Clear only removes all references to the items from the list.

## Errors

None.

## See also

TCustomBucketList.Add |  | Add an item to the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .